Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.webflow.forms
Class InvalidFormDataException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.p13n.exceptions.ApplicationException
                        |
                        +--com.bea.p13n.appflow.exception.ProcessingException
                              |
                              +--com.bea.p13n.appflow.webflow.forms.InvalidFormDataException

public class InvalidFormDataException
extends ProcessingException

An exception thrown by the developer in an InputProcessor to indicate that some of the HTML form data is invalid. This exception is usually thrown after the developer has validated all the HTML form fields and has checked the `invalidFieldCount` to be greater then one. This exception should be configured to handled this in webflow and to redirect the user back to the original JSP.

See Also:
  Serialized Form

Constructor Summary
`InvalidFormDataException(java.lang.String message)`

Methods inherited from class com.bea.p13n.exceptions.ApplicationException
`getCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidFormDataException

    public InvalidFormDataException(java.lang.String message)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved